mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Messaging.IInternalMessage System.Runtime.Remoting.Messaging.IMethodReturnMessage System.Runtime.InteropServices.ComVisible(true)

This class makes a link demand and an inheritance demand at the class level. A is thrown when either the immediate caller or the derived class does not have infrastructure permission. For details about security demands, see [<topic://cpconLinkDemands>] and [<topic://cpconInheritanceDemands>].

Holds a message returned in response to a method call on a remote object.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  The exception that was thrown during execution of the remotely called method.
  An with which to create an instance of the class.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with all the information returning to the caller after the method call.

  The object returned by the invoked method from which the current instance originated.
  The objects returned from the invoked method as out parameters.
  The number of out parameters returned from the invoked method.
  The of the method call.
  The original method call to the invoked method.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of arguments of the called method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] To be added: an object of type 'object []' To be added

  Gets a specified argument passed to the method called on the remote object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception To be added: an object of type 'Exception' To be added

  Gets the exception that was thrown during the remote method call.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Returns a specified argument passed to the remote method during the method call.

  An argument passed to the remote method during the method call.

  The zero-based index of the requested argument.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Returns the name of a specified method argument.

  The name of a specified method argument.

  The zero-based index of the requested argument name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Returns the object passed as an out or ref parameter during the remote method call.

  The object passed as an out or ref parameter during the remote method call.

  The zero-based index of the requested out or ref parameter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Returns the name of a specified out or ref parameter passed to the remote method.

  A string representing the name of the specified out or ref parameter, or null if the current method is not implemented.

  The zero-based index of the requested argument.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the called method accepts a variable number of arguments.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.LogicalCallContext To be added: an object of type 'LogicalCallContext' To be added

  Gets the of the called method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase To be added: an object of type 'Reflection.MethodBase' To be added

  Gets the of the called method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the called method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object' To be added

  Gets an array of objects containing the method signature.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of out or ref arguments on the called method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] To be added: an object of type 'object []' To be added

  Gets a specified object passed as an out or ref parameter to the called method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionary To be added: an object of type 'Collections.IDictionary' To be added

  Gets an of properties contained in the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object' To be added

  Gets the object returned by the called method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Identity To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.
- Method
  System.String To be added. To be added. To be added. 1.0.5000.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the type on which the remote method was called.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the URI of the remote object on which the remote method was called.